/**
  Copyright (c) 2008 Freescale Semiconductor
  Freescale Confidential Proprietary
  \file     	Pwm_ReportError.h
  \brief    	This file contains all Pwm Report Error functions as well as \n
              all Error Type definitions.
  \author   	Freescale Semiconductor
  \author     r01160
  \author   	Guadalajara Applications Laboratory RTAC Americas
  \version    0.1
  \date     	4/14/2008 12:12:30 PM
  \warning    DO NOT MODIFY THE NAME OF ERROR TYPES. USER IS ABLE TO CHANGE THEIR VALUES\n
              BUT NOT THEIR NAMES.
  * History:
  
*/
#ifndef __ADC_FLTR_REPORT_ERROR_H__
  #define __ADC_FLTR_REPORT_ERROR_H__

/** Include Definitions from System Clock  */
#include "System_Cfg.h"
/*----------------------------- Definitions ----------------------------*/
/** API Error Types */
#define ADC_FLTR_INIT_ID               ((uint8_t)0x00)
#define ADC_FLTR_CALLBACK_PTR_ID       ((uint8_t)0x01)

/** ADC Filter Error Types */
#define ADC_FLTR_E_PARAM_CONFIG        ((uint8_t)0x10)
#define ADC_FLTR_E_UNINIT              ((uint8_t)0x11)
#define ADC_FLTR_E_PARAM_CHANNEL       ((uint8_t)0x12)
#define ADC_FLTR_E_AVERAGE             ((uint8_t)0x13)
#define ADC_FLTR_E_FNC_CALLBACK_UNINIT ((uint8_t)0x14)

/*----------------------------- Functions ------------------------------*/
  #if (ADC_FLTR_ERROR_DETECT == ON)
     void vfnAdc_Filter_Report_Error(uint8_t ApiId, uint8_t ErrorId);
  #endif
#endif